Subject: Re: Cygwin Python Distribution GPL Licensing Issue?
From: Jason Tishler <[email-masked]>
To: Tim Peters <[email-masked]>
Cc: DJ Delorie <[email-masked]>, [email-masked], [email-masked]
Date: Mon, 23 Apr 2001 11:37:48 -0400

Tim,

On Mon, Apr 23, 2001 at 04:11:57AM -0400, Tim Peters wrote:
> I personally don't like these shenanigans:  if, given their present position
> on the Python license, the FSF would merely *prefer* that Python not use
> readline, I personally want to respect that, and *just* because it's their
> code (the untested legal claims don't interest me).  But I haven't heard from
> the FSF what their preference on this is, so that's an unknown too.

Hmm, I not sure how to interpret the above.  Are you suggesting that I
remove readline support from my Cygwin Python distribution?  But, then
you state the following...

> *You* didn't do anything special to get readline.dll compiled anyway, right?

Nope -- just configure, make, make install.  setup.py found GNU readline
on my system and built the optional readline module without any special
direction by me.

<aside>
At first, I was displeased when the distutils style of building the
standard Python extension modules was integrated into the Python build
process since it broken the Cygwin build.  Now, I have come to really
appreciate its (subversive) elegance! :,)
</aside>

> Unless I'm mistaken, you inherited that part of the make process from us.  So
> your ass is covered 10 ways from Sunday <wink>:  if the FSF objects, they
> should object to us, I'll argue to respect their wishes and disable readline
> support everywhere, in the end I'll get out-voted, and then there will be
> another long semi-public fight that never gets resolved because neither side
> will be willing to push it too far.  See?  In every respect, just life as
> usual <0.9 wink>.

Sometimes status quo is boring -- in this case, it sounds like a plan
to me.

BTW, it appears that I'm not the only packager who has stepped into this
thorny issue:

    $ ncftpget ftp://ftp.rpmfind.net/linux/Mandrake/8.0/i586/Mandrake/RPMS/python-2.0-9mdk.i586.rpm
    $ rpm2cpio python-2.0-9mdk.i586.rpm | cpio -ivr ./usr/lib/python2.0/lib-dynload/readline.so
    rename ./usr/lib/python2.0/lib-dynload/readline.so -> readline.so
    readline.so
    $ ldd readline.so 
            libreadline.so.4.1 => /lib/libreadline.so.4.1 (0x4000e000)
            ...

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple